import request from '@/utils/request'

export function getGatewayInterfaceList(params) {
  return request({
    url: '/vue-admin-template/gateway/interface/list',
    method: 'get',
    params
  })
}

export function getGatewayLimitList(params) {
  return request({
    url: '/vue-admin-template/gateway/limit/list',
    method: 'get',
    params
  })
}

export function getGatewayCircuitBreakList(params) {
  return request({
    url: '/vue-admin-template/gateway/circuit-break/list',
    method: 'get',
    params
  })
}

export function getGatewayDocumentList(params) {
  return request({
    url: '/vue-admin-template/gateway/document/list',
    method: 'get',
    params
  })
}
